# Interface SizeInfoJson

The sizeInfo visual variable defines how a continuous color ramp is applied to features based on the values of a numeric field attribute. The minimum and maximum values of the data should be indicated along with their respective color values. You must specify either colors or stops to construct the color ramp.

See https://developers.arcgis.com/web-map-specification/objects/sizeInfo_visualVariable/ https://developers.arcgis.com/web-scene-specification/objects/sizeInfo_visualVariable/.

interface SizeInfoJson {
axis?:
| "all"
| "width"
| "height"
| "depth"
| "widthAndDepth";
field: string;
legendOptions?: {
showLegend?: boolean;
title?: string;
};
maxDataValue?: number;
maxSize?: number | SizeJson;
minDataValue?: number;
minSize?: number | SizeJson;
normalizationField?: string;
stops?: SizeStopJson[];
target?: "outline";
type: "sizeInfo";
useSymbolValue?: boolean;
valueRepresentation?:
| "width"
| "radius"
| "diameter"
| "area"
| "distance";
valueUnit?:
| "unknown"
| "feet"
| "meters"
| "miles"
| "nautical-miles"
| "yards"
| "inches"
| "millimeters"
| "centimeters"
| "decimeters"
| "kilometer"
| "decimal-degrees";
}

#### Hierarchy (view full)

- VisualVariableJsonBase
  - SizeInfoJson

#####
Index

### Properties

axis?
field
legendOptions?
maxDataValue?
maxSize?
minDataValue?
minSize?
normalizationField?
stops?
target?
type
useSymbolValue?
valueRepresentation?
valueUnit?

##
Properties

### `Optional` axis

axis?:
| "all"
| "width"
| "height"
| "depth"
| "widthAndDepth"

Defines the axis the size visual variable should be applied to when rendering features with an ObjectSymbol3DLayer.

### field

field: string

A string value indicating the name of the feature attribute field that contains the data value to render.

Inherited from VisualVariableJsonBase.field

### `Optional` legendOptions

legendOptions?: {
showLegend?: boolean;
title?: string;
}

Options available for the legend. See https://developers.arcgis.com/web-map-specification/objects/legendOptions/ https://developers.arcgis.com/web-scene-specification/objects/legendOptions/.

#### Type declaration

- ##### `Optional` showLegend?: boolean

  Indicates whether to show color/size ramp in the legend.

- ##### `Optional` title?: string

  The title of the legend.

Inherited from VisualVariableJsonBase.legendOptions

### `Optional` maxDataValue

maxDataValue?: number

The maximum data value.

### `Optional` maxSize

maxSize?: number | SizeJson

Specifies the largest marker size to use at any given map scale. This is required if valueUnit is set to unknown. In addition to this property taking an object, it also accepts a number value.

### `Optional` minDataValue

minDataValue?: number

The minimum data value.

### `Optional` minSize

minSize?: number | SizeJson

Specifies the smallest marker size to use at any given map scale. This is required if valueUnit is set to 'unknown'. In addition to this property taking an object, it also accepts a number value.

### `Optional` normalizationField

normalizationField?: string

String value indicating the name of the attribute field used to normalize the data.

Inherited from VisualVariableJsonBase.normalizationField

### `Optional` stops

stops?: SizeStopJson[]

An array of objects that define the maximum size of the symbol at various values of the expression.

### `Optional` target

target

String value indicating that the sizeInfo should be applied to the outline of polygons.

### type

type

The type of the VisualVariable.

Overrides VisualVariableJsonBase.type

### `Optional` useSymbolValue

useSymbolValue?: boolean

When setting a size visual variable on a renderer using an ObjectSymbol3DLayer, this property indicates whether to apply the value defined by the height, width, or depth properties to the corresponding axis of this visual variable instead of proportionally scaling this axis' value after other axes.

### `Optional` valueRepresentation

valueRepresentation?:
| "width"
| "radius"
| "diameter"
| "area"
| "distance"

Specifies how to apply the data value when mapping real-world sizes. See table below for supported values.

### `Optional` valueUnit

valueUnit?:
| "unknown"
| "feet"
| "meters"
| "miles"
| "nautical-miles"
| "yards"
| "inches"
| "millimeters"
| "centimeters"
| "decimeters"
| "kilometer"
| "decimal-degrees"

A string value indicating the required unit of measurement if the data represents a real world distance quantity. If the data value represents a non-distance quantity, e.g. traffic count, census data, etc., valueUnits should be set to 'unknown'.